> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/masterstudy-lms/developers-guide/course-builder-customization.md).

# Course Builder Customization

You have the ability to customize the Course Builder by adding your own custom styles and scripts, or even completely replacing the existing styles and scripts of the Course Builder.

### Adding Custom Styles and Scripts into Course Builder

#### Filter: `ms_lms_course_builder_additional_styles`

This filter allows you to add your own CSS files into the Course Builder. Usage:

```php
function my_course_builder_additional_styles( $styles ) {
	$styles[] = get_stylesheet_directory_uri() . '/custom-styles.css';

	return $styles;
}
add_filter( 'ms_lms_course_builder_additional_styles', 'my_course_builder_additional_styles' );
```

#### Filter: `ms_lms_course_builder_additional_scripts`&#x20;

This filter allows you to add your own JavaScript files into the Course Builder. Usage:

```php
function my_course_builder_additional_scripts( $scripts ) {
	$scripts[] = get_stylesheet_directory_uri() . '/custom-scripts.js';

	return $scripts;
}
add_filter( 'ms_lms_course_builder_additional_scripts', 'my_course_builder_additional_scripts' );
```

### Replacing Course Builder Styles and Scripts

#### Filter: `ms_lms_course_builder_css`

This filter allows you to replace the default CSS file used by the Course Builder. Usage:

```php
function my_course_builder_css( $css ) {
	return get_stylesheet_directory_uri() . '/course-builder.css';
}
add_filter( 'ms_lms_course_builder_css', 'my_course_builder_css' );
```

#### Filter: `ms_lms_course_builder_js`&#x20;

This filter allows you to replace the default JavaScript file used by the Course Builder. Usage:

```php
function my_course_builder_js( $js ) {
	return get_stylesheet_directory_uri() . '/course-builder.js';
}
add_filter( 'ms_lms_course_builder_js', 'my_course_builder_js' );
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stylemixthemes.com/masterstudy-lms/developers-guide/course-builder-customization.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
